Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class RegistrationProperty

    java.lang.Object
      org.jboss.portal.wsrp.consumer.RegistrationProperty

    public class RegistrationProperty

extends java.lang.Object

Since:
  2.6
Version:
  $Revision: 11604 $
Author:
  Chris Laprun

Nested Class Summary
`static class` | `RegistrationProperty.Status`

Constructor Summary
`RegistrationProperty()`
`RegistrationProperty(java.lang.String name, java.lang.String stringValue, java.lang.String lang)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`RegistrationPropertyDescription` | `getDescription()`
`java.lang.Long` | `getKey()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getName()`
`RegistrationProperty.Status` | `getStatus()`
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`boolean` | `isDeterminedInvalid()`
`java.lang.Boolean` | `isInvalid()`
`void` | `setDescription(RegistrationPropertyDescription description)`
`void` | `setInvalid(java.lang.Boolean invalid, RegistrationProperty.Status status)`
`void` | `setKey(java.lang.Long key)`
`void` | `setLang(java.lang.String lang)`
`void` | `setName(java.lang.String name)`
`void` | `setStatus(RegistrationProperty.Status status)`
`void` | `setValue(java.lang.String stringValue)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationProperty

    public RegistrationProperty()

### RegistrationProperty

    public RegistrationProperty(java.lang.String name,
                                java.lang.String stringValue,
                                java.lang.String lang)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValue

    public java.lang.String getValue()

### getDescription

    public RegistrationPropertyDescription getDescription()

### setDescription

    public void setDescription(RegistrationPropertyDescription description)

### isInvalid

    public java.lang.Boolean isInvalid()

### isDeterminedInvalid

    public boolean isDeterminedInvalid()

### setInvalid

    public void setInvalid(java.lang.Boolean invalid,
                           RegistrationProperty.Status status)

### setValue

    public void setValue(java.lang.String stringValue)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String lang)

### getStatus

    public RegistrationProperty.Status getStatus()

### setStatus

    public void setStatus(RegistrationProperty.Status status)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD